%global pypi_name MarkupSafe
%global srcname markupsafe
%global commitId b5a517506d6cb8091e215a4a89e47db5eee6a68f

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{srcname}
Version:        2.1.0
Release:        2%{?dist}
Summary:        Implements a XML/HTML/XHTML Markup safe string for Python
License:        BSD-3-Clause
URL:            https://github.com/pallets/markupsafe
Source0:        python-markupsafe-b5a517506d6cb8091e215a4a89e47db5eee6a68f.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
MarkupSafe implements a text object that escapes characters so it is safe to use
in HTML and XML. Characters that have special meanings are replaced so that they
display as the actual characters. This mitigates injection attacks, meaning
untrusted user input can safely be displayed on a page.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
%{_description}

%prep
%autosetup -n python-%{srcname}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# C code errantly gets installed
rm %{buildroot}%{python3_sitearch}/markupsafe/*.c

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Apr 29 2022 Yanis Guenane <yguenane@redhat.com> - 2.1.0-2
- Rebuild for ppc64le support

* Mon Mar 14 2022 Satoe Imaishi <simaishi@redhat.com> - 2.1.0-1
- Initial Build
